void CreateStoryCharacters(ref n)
{
	object chobj;
	ref ch;

	makeref(ch, chobj);
	
	// The New Pirate Age Update - The Crew Members 
	ch.old.name = "Roronoa";
    ch.old.lastname = "Zoro";
    ch.name = TranslateString("","Roronoa");
    ch.lastname = TranslateString("","Zoro");
    ch.id   = "Roronoa Zorro";
    ch.model = "Zorro";
    ch.sex = "man";
    ch.loyality = 15;
    ch.alignment = "good";
    ch.sound_type = "seaman";
    GiveItem2Character(ch, "bladeC36");
    ch.equip.blade = "bladeC36";
	GiveItem2Character(ch, "pistol1");
	ch.equip.gun = "pistol1";
    ch.location    = "Charlestown_Tavern";
    ch.location.group = "sit";
    ch.location.locator = "sit13";
    ch.Dialog.Filename = "Roronoa Zorro_dialog.c";
	ch.dialog.CurrentNode = "Node_1";
    ch.greeting = "Gr_Officer_m common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "3";
    ch.skill.Sailing = "2";
    ch.skill.Accuracy = "1";
    ch.skill.Cannons = "2";
    ch.skill.Grappling = "2";
    ch.skill.Repair = "2";
    ch.skill.Defence = "3";
    ch.skill.Commerce = "0";
    ch.skill.Sneak = "1";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
    LAi_SetSitType(ch);
	LAi_group_MoveCharacter(ch, "BRITAIN_CITIZENS");
	ch.quest.officertype = OFFIC_TYPE_FIRSTMATE;
    ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);
	
	ch.old.name = "Nami";
    ch.name = TranslateString("","Nami");
    ch.id    = "Nami";
    ch.model = "Nami";
	ch.model.animation = "man_woman_sit";
	ch.sex = "woman"
    ch.loyality = 15;
    ch.alignment = "good";
	ch.sound_type = "female_citizen"; // was "pirate"
    GiveItem2Character(ch, "blade5");
    ch.equip.blade = "blade5";
	GiveItem2Character(ch, "pistol7");
	ch.equip.gun = "pistol7";
    ch.location    = "Antigua_port";
    ch.location.group = "goto";
    ch.location.locator = "goto17";
    ch.Dialog.Filename = "Nami_dialog.c";
	ch.dialog.CurrentNode = "Node_1";	
    ch.greeting = "Gr_Officer_f common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "2";
    ch.skill.Sailing = "2";
    ch.skill.Accuracy = "2";
    ch.skill.Cannons = "1";
    ch.skill.Grappling = "2";
    ch.skill.Repair = "2";
    ch.skill.Defence = "2";
    ch.skill.Commerce = "3";
    ch.skill.Sneak = "2";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
  	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "BRITAIN_CITIZENS");
	ch.quest.officertype = OFFIC_TYPE_NAVIGATOR;
    ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);

	ch.old.name = "Lysop";
    ch.name = TranslateString("","Lysop");
    ch.id        = "Lysop";
    ch.model = "Lysop";
    ch.sex = "man";
	ch.loyality = 15;
    ch.alignment = "good";
    ch.sound_type = "seaman";
    GiveItem2Character(ch, "blade6");
    ch.equip.blade = "blade6";
	GiveItem2Character(ch, "pistol8");
	ch.equip.gun = "pistol8";
    ch.location    = "Oxbay_Lighthouse";
    ch.location.group = "goto";
    ch.location.locator = "goto23";
    ch.Dialog.Filename = "Lysop_dialog.c";
	ch.dialog.CurrentNode = "Node_1";	
    ch.greeting = "Gr_Officer_m common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "2";
    ch.skill.Sailing = "2";
    ch.skill.Accuracy = "3";
    ch.skill.Cannons = "3";
    ch.skill.Grappling = "2";
    ch.skill.Repair = "1";
    ch.skill.Defence = "3";
    ch.skill.Commerce = "0";
    ch.skill.Sneak = "2";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
	ch.Ship.Name = "Going Merry";
    ch.Ship.Type = "Going_Merry";
	ch.Ship.Stopped = true;
  	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
	LAi_SetLoginTime(ch, 0.0, 24.0);
	ch.quest.officertype = OFFIC_TYPE_CANNONEER;	
	ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);

	ch.old.name = "Tony";
    ch.old.lastname = "Chopper";
    ch.name = TranslateString("","Tony");
    ch.lastname = TranslateString("","Chopper");
    ch.id        = "Chopper";
    ch.model    = "Chopper";
    ch.sex = "man";
	ch.loyality = 15;
    ch.alignment = "good";
    ch.sound_type = "seaman";
    GiveItem2Character(ch, "blade6");
    ch.equip.blade = "blade6";
	GiveItem2Character(ch, "PiratesPistol");
	ch.equip.gun = "PiratesPistol";
    ch.location    = "Grand_Cayman_Tavern";
    ch.location.group = "Sit";
    ch.location.locator = "Sit7";
    ch.Dialog.Filename = "Chopper_dialog.c";
	ch.dialog.CurrentNode = "Node_1";	
    ch.greeting = "Gr_Officer_m common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "2";
    ch.skill.Sailing = "1";
    ch.skill.Accuracy = "2";
    ch.skill.Cannons = "2";
    ch.skill.Grappling = "2";
    ch.skill.Repair = "2";
    ch.skill.Defence = "3";
    ch.skill.Commerce = "0";
    ch.skill.Sneak = "1";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
    LAi_SetSitType(ch);
	ch.quest.officertype = OFFIC_TYPE_DOCTOR;
	LAi_group_MoveCharacter(ch, "BRITAIN_CITIZENS");
    ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);
	
	ch.old.name = "Sanji";
    ch.old.lastname = "Vinsmoke";
    ch.name = TranslateString("","Sanji");
    ch.lastname = TranslateString("","Vinsmoke");
    ch.id        = "Sanji";
    ch.model    = "Sanji";
    ch.sex = "man";
	ch.loyality = 15;
    ch.alignment = "good";
    ch.sound_type = "seaman";
    GiveItem2Character(ch, "blade22");
    ch.equip.blade = "blade22";
	GiveItem2Character(ch, "pistol2");
	ch.equip.gun = "pistol2";
    ch.location    = "Santiago_Tavern";
    ch.location.group = "Goto";
    ch.location.locator = "Goto5";
    ch.Dialog.Filename = "Sanji_dialog.c";
	ch.dialog.CurrentNode = "Node_1";	
    ch.greeting = "Gr_Officer_m common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "3";
    ch.skill.Sailing = "2";
    ch.skill.Accuracy = "1";
    ch.skill.Cannons = "2";
    ch.skill.Grappling = "3";
    ch.skill.Repair = "2";
    ch.skill.Defence = "3";
    ch.skill.Commerce = "0";
    ch.skill.Sneak = "3";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
	ch.perks.list.perkCooking  = true;
    LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
    ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);
	
	ch.old.name = "Nico";
    ch.old.lastname = "Robin";
    ch.name = TranslateString("Nico","");
    ch.lastname = TranslateString("Robin","");
    ch.id        = "Robin";
    ch.model    = "Robin";
	ch.model.animation = "man_woman_sit";
	ch.sex = "woman"
    ch.loyality = 15;
    ch.alignment = "good";
	ch.sound_type = "female_citizen"; // was "pirate"
    GiveItem2Character(ch, "blade5");
    ch.equip.blade = "blade5";
	GiveItem2Character(ch, "pistol7");
	ch.equip.gun = "pistol7";
    ch.location    = "Havana_Town_05";
    ch.location.group = "Goto";
    ch.location.locator = "Goto_10";
    ch.Dialog.Filename = "Robin_dialog.c";
	ch.dialog.CurrentNode = "Node_1";	
    ch.greeting = "Gr_Officer_f common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "2";
    ch.skill.Sailing = "1";
    ch.skill.Accuracy = "2";
    ch.skill.Cannons = "1";
    ch.skill.Grappling = "2";
    ch.skill.Repair = "1";
    ch.skill.Defence = "2";
    ch.skill.Commerce = "3";
    ch.skill.Sneak = "2";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
    LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
	ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);
	
	ch.old.name = "Franky";
    ch.name = TranslateString("","Franky");
    ch.id        = "Franky";
    ch.model    = "Franky";
    ch.sex = "man";
	ch.loyality = 15;
    ch.alignment = "good";
    ch.sound_type = "seaman";
    GiveItem2Character(ch, "blade7");
    ch.equip.blade = "blade7";
	GiveItem2Character(ch, "PiratesPistol");
	ch.equip.gun = "PiratesPistol";
    ch.location    = "Redmond_Tavern";
    ch.location.group = "Sit";
    ch.location.locator = "Sit6";
    ch.Dialog.Filename = "Franky_dialog.c";
	ch.dialog.CurrentNode = "Node_1";	
    ch.greeting = "Gr_Officer_m common";
    ch.rank     = 1;
    ch.reputation = "45";
    ch.skill.Leadership = "1";
    ch.skill.Fencing = "2";
    ch.skill.Sailing = "2";
    ch.skill.Accuracy = "2";
    ch.skill.Cannons = "2";
    ch.skill.Grappling = "2";
    ch.skill.Repair = "3";
    ch.skill.Defence = "2";
    ch.skill.Commerce = "0";
    ch.skill.Sneak = "2";
    ch.money = "0";
    ch.quest.help = "0";
    ch.quest.dialog = "0";
	ch.questchar = true;
	ch.Ship.Name = "Thousand Sunny";
    ch.Ship.Type = "ThousandSunny";
	ch.Ship.Stopped = true;
    LAi_SetSitType(ch);
	LAi_group_MoveCharacter(ch, "BRITAIN_CITIZENS");
	ch.quest.officertype = OFFIC_TYPE_CAPPIRATE;
    ch.HPBonus = 100;        // KevAtl 08-26-2007 to correct for game giving low HP
    ch.isOfficer = true;
    AddGameCharacter(n, ch);
	
}
